using System;
class HelloWorld {
  static void Main() {
    int N = int.Parse(Console.ReadLine());
    int Pera = int.Parse(Console.ReadLine());
    int brojas = N;
    for(int i = 1; i <= N; i++){
        int H = int.Parse(Console.ReadLine());
        if(Pera < H){
            brojas--;
        }
    }
    if(brojas == 0){
        Console.WriteLine(-1);
    }
    else{
        Console.WriteLine(brojas);
    }
  }
}